Subject: [tsvwg] Lars Eggert's No Objection on draft-ietf-tsvwg-ecn-l4s-id-28: (with COMMENT)

From: Lars Eggert via Datatracker <[email-masked]>
Date: Wed, 24 Aug 2022 05:16:53 -0700

Lars Eggert has entered the following ballot position for
draft-ietf-tsvwg-ecn-l4s-id-28: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/about/groups/iesg/statements/handling-ballot-positions/ 
for more information about how to handle DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-tsvwg-ecn-l4s-id/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

# GEN AD review of draft-ietf-tsvwg-ecn-l4s-id-28

CC @larseggert

Thanks to Maria Ines Robles for the General Area Review Team (Gen-ART) review
(https://mailarchive.ietf.org/arch/msg/gen-art/9zLPRZCsnpKY4Zi-XFmqMQ7Lvq0).

## Comments

### Section 1.1, paragraph 3
```
     The bufferbloat project has shown that excessively-large buffering
```
Cite bufferbloat.net?

### Section 1.2, paragraph 2
```
     Note: The L4S architecture [I-D.ietf-tsvwg-l4s-arch] repeats the
     following definitions, but if there are accidental differences those
     below take precedence.
```
Instruct the RFC Editor to remove this paragraph?

### Boilerplate

This document uses the RFC2119 keywords ['RECOMMENDED', 'SHOULD NOT', 'MAY',
'SHALL', 'MUST', 'SHALL NOT', 'REQUIRED', 'MUST NOT', 'NOT RECOMMENDED',
'OPTIONAL', 'SHOULD'], but does not contain the recommended RFC8174
boilerplate. (It contains a variant of the RFC2119 boilerplate.)

### Inclusive language

Found terminology that should be reviewed for inclusivity; see
https://www.rfc-editor.org/part2/#inclusive_language for background and more
guidance:

 * Term `traditional`; alternatives might be `classic`, `classical`, `common`,
   `conventional`, `customary`, `fixed`, `habitual`, `historic`,
   `long-established`, `popular`, `prescribed`, `regular`, `rooted`,
   `time-honored`, `universal`, `widely used`, `widespread`

## Nits

All comments below are about very minor potential issues that you may choose to
address in some way - or ignore - as you see fit. Some were flagged by
automated tools (via https://github.com/larseggert/ietf-reviewtool), so there
will likely be some false positives. There is no need to let me know what you
did with these suggestions.

### Typos

#### Section 1, paragraph 1
```
-    This experimental track specification defines the protocol to be used
-        -------------------
```

### Outdated references

Reference `[RFC2309]` to `RFC2309`, which was obsoleted by `RFC7567` (this may
be on purpose).

Reference `[RFC6347]` to `RFC6347`, which was obsoleted by `RFC9147` (this may
be on purpose).

Reference `[RFC4960]` to `RFC4960`, which was obsoleted by `RFC9260` (this may
be on purpose).

### URLs

These URLs in the document did not return content:

 * http://www.icir.org/floyd/red.html
 * https://www.bell-labs.com/usr/koen.de_schepper
 * http://www.hpcc.jp/pfldnet2009/Program_files/1569198525.pdf

These URLs in the document can probably be converted to HTTPS:

 * http://ieeexplore.ieee.org/xpl/articleDetails.jsp?arnumber=6871352
 * http://doi.acm.org/10.1145/1080091.1080098
 * http://ee.lbl.gov/papers/congavoid.pdf
 * http://bobbriscoe.net/
 * http://dl.acm.org/citation.cfm?doid=2999572.2999578

### Grammar/style

#### Section 1.1, paragraph 2
```
creasing level of discard from the buffer the longer the queue persists abov
                                   ^^^^^^
```
It appears that a comma is missing.

#### Section 1.1, paragraph 6
```
e sawteeth cause minimal queue delay but the troughs underutilize the link,
                                    ^^^^
```
Use a comma before "but" if it connects two independent clauses (unless they
are closely connected and short).

#### Section 1.1, paragraph 6
```
 the troughs utilize the link better but then the tips cause more delay vari
                                    ^^^^
```
Use a comma before "but" if it connects two independent clauses (unless they
are closely connected and short).

#### Section 1.1, paragraph 7
```
ariations it inflicts on itself. Therefore those applications that need to s
                                 ^^^^^^^^^
```
A comma may be missing after the conjunctive/linking adverb "Therefore".

#### Section 1.1, paragraph 13
```
svwg-l4s-arch] and in [RFC3649]. Therefore control of queuing and utilizatio
                                 ^^^^^^^^^
```
A comma may be missing after the conjunctive/linking adverb "Therefore".

#### Section 1.2, paragraph 6
```
(e.g. DNS, VoIP, game sync datagrams, etc). Reno-friendly: The subset of Clas
                                      ^^^
```
A period is needed after the abbreviation "etc.".

#### Section 1.2, paragraph 11
```
update any standards track RFCs. Therefore it depends on [RFC8311], which is
                                 ^^^^^^^^^
```
A comma may be missing after the conjunctive/linking adverb "Therefore".

#### Section 2, paragraph 7
```
ted space left in the IP header. Therefore a compromise will always be neces
                                 ^^^^^^^^^
```
A comma may be missing after the conjunctive/linking adverb "Therefore".

#### Section 2, paragraph 8
```
s chosen as the best compromise. Therefore this scheme is defined in detail
                                 ^^^^^^^^^
```
A comma may be missing after the conjunctive/linking adverb "Therefore".

#### Section 4.2, paragraph 2
```
 the sawtooth yields, on average it take this time to recover to its previou
                                    ^^^^
```
After "it", use the third-person verb form "takes".

#### Section 4.2, paragraph 4
```
ntrol algorithms in [RFC5033]. In addition it is expected to document these L
                                  ^^^^^^^^
```
A comma may be missing after the conjunctive/linking adverb "addition".

#### Section 4.3, paragraph 14
```
receiver(s) when they send data. Therefore there might be ECT(1) packets in
                                 ^^^^^^^^^
```
A comma may be missing after the conjunctive/linking adverb "Therefore".

#### Section 4.3.1, paragraph 1
```
ers, nor that there will be rarity in future. - Per-Flow-queues with Classic
                                   ^^^^^^^^^
```
The phrase "in future" is British English. Did you mean: "in the future"?

#### Section 4.3.1, paragraph 2
```
apsulated within one flow ID. To summarize, the coexistence problem is confi
                                 ^^^^^^^^^
```
Do not mix variants of the same word ("summarize" and "summarise") within a
single text.

#### Section 4.3.1, paragraph 13
```
the network doesn't know the RTTs of any of the flows, so it has to smooth ou
                                  ^^^^^^^^^
```
Consider simply using "of" instead.

#### Section 4.3.1, paragraph 13
```
ext (start-up, congestion avoidance, etc). Therefore, this document places n
                                     ^^^
```
A period is needed after the abbreviation "etc.".

#### Section 4.3.1, paragraph 15
```
eatment as well, unless overridden by a another classifier or unless the exce
                                      ^
```
Use "an" instead of "a" if the following word starts with a vowel sound, e.g.
"an article", "an hour".

#### Section 5.2, paragraph 2
```
hared by L4S and non-L4S traffic. Instead it will be called the low latency
                                  ^^^^^^^
```
A comma may be missing after the conjunctive/linking adverb "Instead".

#### Section 5.4.1.1, paragraph 8
```
ve its locally-applied exclusions in future, e.g. if it wishes to widen the b
                                  ^^^^^^^^^
```
The phrase "in future" is British English. Did you mean: "in the future"?

#### Section 5.4.1.3, paragraph 5
```
would be opportunities to alter the WiFi profiles sent out of any WiFi inter
                                    ^^^^
```
Did you mean "Wi-Fi"? (This is the officially approved term by the Wi-Fi
Alliance.).

#### Section 5.4.1.3, paragraph 5
```
r the WiFi profiles sent out of any WiFi interfaces from the same device, in
                                    ^^^^
```
Did you mean "Wi-Fi"? (This is the officially approved term by the Wi-Fi
Alliance.).

#### Section 5.4.1.3, paragraph 6
```
tigate incoming bursts of aggregated WiFi frames from other WiFi stations. 6
                                     ^^^^
```
Did you mean "Wi-Fi"? (This is the officially approved term by the Wi-Fi
Alliance.).

#### Section 5.4.1.3, paragraph 7
```
of aggregated WiFi frames from other WiFi stations. 6. Behaviour of Tunnels
                                     ^^^^
```
Did you mean "Wi-Fi"? (This is the officially approved term by the Wi-Fi
Alliance.).

#### Section 6.2, paragraph 2
```
ansport protocols (TCP, QUIC, RMCAT, etc)? Monitoring for harm to other traf
                                     ^^^
```
A period is needed after the abbreviation "etc.".

#### Section 7, paragraph 1
```
is cut down, what becomes the 'second longest pole in the tent' (other than
                               ^^^^^^^^^^^^^^
```
It appears that a hyphen is missing.

#### Section 7.2, paragraph 2
```
ing TCP for Low Round Trip Delay", Masters Thesis, Uni Oslo , August 2019, <h
                                   ^^^^^^^
```
For an academic degree, use "Master's".

#### Section 7.3, paragraph 4
```
TCP BBR v2 Alpha/Preview Release", github repository; Linux congestion contr
                                   ^^^^^^
```
The official name of this software platform is spelled with a capital "H".

#### Section 8, paragraph 5
```
st, P. and J. Morton, "L4S Tests", github README, May 2021, <https://github.c
                                   ^^^^^^
```
The official name of this software platform is spelled with a capital "H".

#### Section 10.2, paragraph 7
```
Rapid Acceleration in TCP Prague", Masters Thesis , May 2018, <https://ritepr
                                   ^^^^^^^
```
For an academic degree, use "Master's".

#### Section 10.2, paragraph 25
```
y Algorithm Based on Selective Acknowledgment (SACK) for TCP", RFC 6675, DOI
                               ^^^^^^^^^^^^^^
```
Do not mix variants of the same word ("acknowledgment" and "acknowledgement")
within a single text.

#### Section 10.2, paragraph 36
```
ReAM-L4S] Johansson, I., "SCReAM", github repository; , <https://github.com/E
                                   ^^^^^^
```
The official name of this software platform is spelled with a capital "H".

#### Section 10.2, paragraph 43
```
endations in Section 4) have become know as the Prague L4S Requirements, bec
                                    ^^^^
```
Did you mean "known"?

#### "Appendix A.", paragraph 3
```
rhaps impossible) to determine whether or not the AQM is in a shared queue.
                               ^^^^^^^^^^^^^^
```
Consider shortening this phrase to just "whether". It is correct though if you
mean "regardless of whether".

#### "Appendix A.", paragraph 4
```
 whether it is in a shared queue, summarized here. An L4S-enabled test server
                                  ^^^^^^^^^^
```
Do not mix variants of the same word ("summarize" and "summarise") within a
single text.

#### "A.1.5.", paragraph 13
```
n order stays roughly invariant. Therefore hosts have an incentive to detect
                                 ^^^^^^^^^
```
A comma may be missing after the conjunctive/linking adverb "Therefore".

#### "A.1.5.", paragraph 14
```
is an exception, covered later). Therefore requiring L4S hosts to detect los
                                 ^^^^^^^^^
```
A comma may be missing after the conjunctive/linking adverb "Therefore".

#### "A.1.5.", paragraph 16
```
 the proportion of L4S traffic, the less of a scaling challenge they will ha
                                    ^^^^
```
The phrase "the less of" is not correct. Use a noun, not an adjective, between
"the" and "of".

#### "A.1.5.", paragraph 16
```
ing challenge they will have. To summarize, there is no reason for L4S hosts
                                 ^^^^^^^^^
```
Do not mix variants of the same word ("summarize" and "summarise") within a
single text.

#### "A.1.6.", paragraph 3
```
trol packets and retransmissions. Similarly RFC 6679 precludes the use of ECT
                                  ^^^^^^^^^
```
A comma may be missing after the conjunctive/linking adverb "Similarly".

#### "A.1.8.", paragraph 15
```
ver a VPN will need to be able to recognize the symptoms of this problem, in
                                  ^^^^^^^^^
```
Do not mix variants of the same word ("recognize" and "recognise") within a
single text.

#### "A.1.8.", paragraph 16
```
 packets, because an L4S AQM will recognize the ECT(0) packets as Classic and
                                  ^^^^^^^^^
```
Do not mix variants of the same word ("recognize" and "recognise") within a
single text.

#### "A.2.1.", paragraph 1
```
t years, or whether there will be in future. An algorithm for detecting a Cl
                                  ^^^^^^^^^
```
The phrase "in future" is British English. Did you mean: "in the future"?

#### "Appendix B.", paragraph 3
```
ction of congestion notifications in future. The ECN Nonce RFC [RFC3540] has
                                  ^^^^^^^^^
```
The phrase "in future" is British English. Did you mean: "in the future"?

#### "Appendix B.", paragraph 13
```
end-to-end use of the ECN field. Therefore a PCN region on the path would no
                                 ^^^^^^^^^
```
A comma may be missing after the conjunctive/linking adverb "Therefore".

#### "Appendix B.", paragraph 14
```
viding help and reviewing this draft and thanks to Ingemar Johansson for rev
                                    ^^^^
```
Use a comma before "and" if it connects two independent clauses (unless they
are closely connected and short).

## Notes

This review is in the ["IETF Comments" Markdown format][ICMF], You can use the
[`ietf-comments` tool][ICT] to automatically convert this review into
individual GitHub issues. Review generated by the [`ietf-reviewtool`][IRT].

[ICMF]: https://github.com/mnot/ietf-comments/blob/main/format.md
[ICT]: https://github.com/mnot/ietf-comments
[IRT]: https://github.com/larseggert/ietf-reviewtool